0.4.7 + wine on linux anyone?

Hello,

I was so happy to see new versions for this amazing piece of software! However now I am extremely sad since apparently the 0.4.7 release doesn't work anymore on wine. The program starts but spews out a huge error dump when I try to click on anything... Tried with wine 3.0.2 version, the latest stable release. Anyone else having issues?

Thanks,
Iancu


PS: here's the dump:

https://pastebin.com/nJ682dw5

Comments

  • DanikDanik Posts: 835
    Hi there, thanks for the heads up. I don't have access to Linux for testing but I will ask the maintainer on WineHQ to check.
    If anyone else on Linux can report their results that would be great too.
  • Thank you for the reply. I had made a report there too. After some more testing and some tries, it seems the program doesn't really crash per-se, it's just when trying to access the menus.

    For example if I click ctrl+n the new file dialog opens, but if I try to just press alt or click on any of the file menus that's when the program crashes...
  • in the mean time, is there any way I could download 0.4.6? I couldn't find anything in the faq or anywhere else about this...
  • DanikDanik Posts: 835
    That's a good lead. The application uses Adobe AIR so I think the cause must be some incompatibility with the newer versions of the runtime. I'm using AIR29 currently, 64 bit.

    You can find older releases below the current one on your license/download page. Version 0.4.6 uses the same version of the AIR runtime, so I'm afraid it will have the same problem though, but please try and let me know how it goes.
  • small update:
    -tried different ways of making this work but no success :(
    -tried with wine version 3.0.2 (stable), with winetricks, with adobe air 30 and pyxel edit 0.4.8... --> same issue everywhere, seems like I am doomed to stay on 0.4.5 :((((
  • TylerCodeTylerCode Posts: 3
    edited July 2018
    Heyo,

    I'm going to be taking a look at this too, I'll keep the dev in the loop as well. 
  • TylerCodeTylerCode Posts: 3
    Be like me, just realized Danik is who responded.  :# 
  • DanikDanik Posts: 835
    @TylerCode helped me figure out that the problem is the 64 bit version of AIR.
    I have made a 32 bit release of 0.4.8 that you can download from your license/download page, it should work better!
  • THANKS a lot! I spent about 3 hours today busting my head against this... So I will take whatever I can get :)
  • TylerCodeTylerCode Posts: 3
    @Iancul1981

    Thank you for reporting this, both here and WineDB. I'll be working to find a way to stabilize the 64 bit version of AIR (potentially with the help of Wine devs) and will post a working config to WineDB once I do.
  • jobejobe Posts: 1
    Hi Danik,

    thanks for making the 32 bit version available. It works with wine on linux and make me happy again! :)


  • DanikDanik Posts: 835
    Glad to hear that!
  • Hi Danik...I am also a Linuxuser love Pyxel Edit...glad to see it works with the 32bit version under wine without issues :)
  • Everyone! I started a bug report at https://bugs.winehq.org/show_bug.cgi?id=49805 and they implemented a patch for this issue!

  • Sorry, should have said "they are implementing" not "implemented".

    It is in the testing phase and apparently failed some tests.

  • DanikDanik Posts: 835
    That's great! Let me know if you need some gift keys for the developers to test with.
  • https://source.winehq.org/git/wine.git/?a=commit;h=93937a53f1a7675976b4bb7e70b96db231d77996
    Is what fixed the issue. It was commited to the 5.16 Development release. So, it should be working in the next main release.


  • @Danik Thank you! I have let them know, but the way that things work over there, if anyone else has any issues with running Pyxel Edit on wine, they need to provide a gift key. https://bugs.winehq.org/show_bug.cgi?id=49805#c30

  • Can confirm Pyxel Edit 64 bit works in wine version 5.17 Now!


  • I apologize... about to check now that I am using the one that was broken.
  • I got a little excited and forgot to enable the --enable-win64 option when compiling from source. Currently re-compiling now.
  • ldhackerldhacker Posts: 9
    edited September 11
    Pyxel Edit 64 bit working in Wine64
  • DanikDanik Posts: 835
    Awesome! Thank you for helping fix this, and also thanks to the Wine developers. 🙌 This is great news. Is it already working in the latest stable release of Wine?
  • Unfortunately, this is a little confusing to me.

    On the download page, Wine 5.17 is marked as the development release. However, when I initially downloaded it via my package manager (pamac), it downloaded version 5.16 (latest development version at the time.)

    The package manager did not say anything about it being a development version. But on their website, 5.0.2 is listed as the stable version.

    Pyxel Edit works in 5.17 now though :)

    I think that 5.0.2 should be considered the "Slow" release channel, and 5.17 should be a "Rolling Release".

    My distro (Manjaro Linux) is considered a rolling release distro, so this would make sense.
  • DanikDanik Posts: 835
    Ok I see, let's wait and see when it is released in the stable channel. In the mean time I'll update the FAQ to inform Linux users that 5.17 works. :)
Sign In or Register to comment.